Ubuntu

Maverick fails to wake up on Samsung N150

Reported by Benjamin Nave on 2010-09-16
384
This bug affects 70 people
Affects Status Importance Assigned to Milestone
Linux
Expired
Medium
Release Notes for Ubuntu
Undecided
Unassigned
linux (Ubuntu)
Medium
Seth Forshee
Maverick
Medium
Unassigned
Natty
Medium
Seth Forshee
Oneiric
Medium
Unassigned

Bug Description

== Release Notes ==
See Comment #155

Recently upgraded from 10.04LTS to 10.10 Beta on a Samsung N150 NetBook. Since update, my netbook does not resume from suspend state after lid is opened. Power, disk, and wireless activity lights turn on, but screen does not wake up. I cannot ssh into the netbook from a remote host so I do not think that the network is resuming even though the wireless light indicates that the card is on. I have to power off/on the netbook once it is hung in this state.

I've examined /var/log/messages after power cycling but I don't see any relevant errors. I would be happy to submit applicable logs or provide more information if someone could point me in the right direction.

Thanks!

== Regression details ==
Last known good version: mainline 2.6.34.7-maverick
Confirmed broken since: 2.6.35-22.34

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 Cannot stat file /proc/13903/fd/11: Stale NFS file handle
                      USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 3659 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0400000 irq 47'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,144dc072,00100004'
   Controls : 11
   Simple ctrls : 7DistroRelease: Ubuntu 10.10LiveMediaBuild: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
MachineType: SAMSUNG ELECTRONICS CO., LTD. N150/N210/N220
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz noprompt cdrom-detect/try-usb=true persistent file=/cdrom/preseed/hostname-netbook.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4Regression: Yes
RelatedPackageVersions: linux-firmware 1.38
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: noTags: maverick ubuntu-une kernel-power suspend resume regression-release needs-upstream-testing
Uname: Linux 2.6.35-22-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/25/2010
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 08JI.M073.20100325.JIP
dmi.board.asset.tag: SAMSUNG
dmi.board.name: N150/N210/N220
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr08JI.M073.20100325.JIP:bd03/25/2010:svnSAMSUNGELECTRONICSCO.,LTD.:pnN150/N210/N220:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnN150/N210/N220:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: N150/N210/N220
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

Philip Muškovac (yofel) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately, we can't fix it without more information.

Please run the following command which will attach necessary information:

apport-collect 640100

Bear in mind that when prompted to give apport-collect permissions for Launchpad you will need to give it at least the ability to "Change Non-Private" data as it will be adding information to your bug report.

If you cannot use apport please at least add the following information (pay attention to lspci's additional options):
First run the following commands:
1) uname -a > uname-a.log
2) dmesg > dmesg.log
3) sudo lspci -vvnn > lspci-vvnn.log
4) cat /proc/version_signature > version.log
then attach the files separately to the bug report (not pasted into comments or tar/zip-ed).

As you are experiencing a suspend issue, please also follow
https://wiki.ubuntu.com/DebuggingKernelSuspend

For your reference, the full description of procedures for kernel-related bug reports is available at https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies. Thanks in advance!

tags: added: maverick
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete

i second the problem. apport coming.

tags: added: apport-collected

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: merlin 1450 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0400000 irq 47'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,144dc072,00100004'
   Controls : 11
   Simple ctrls : 7
DistroRelease: Ubuntu 10.10
HibernationDevice: RESUME=UUID=0fbfe3f3-3a37-49ea-9767-e2a37fca2364
InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Release i386 (20100429.4)
MachineType: SAMSUNG ELECTRONICS CO., LTD. N150/N210/N220
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=4a510bbe-d7e2-4c8e-b426-2063d995f601 ro quiet splash usbcore.autosuspend=1 acpi_osi=Linux
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.34~ppa1~loms~maverick-generic 2.6.35.4
Regression: Yes
RelatedPackageVersions: linux-firmware 1.38
Reproducible: Yes
Tags: ubuntu-une maverick kernel-power suspend resume regression-potential needs-upstream-testing
Uname: Linux 2.6.35-22-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/25/2010
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 08JI.M073.20100325.JIP
dmi.board.asset.tag: SAMSUNG
dmi.board.name: N150/N210/N220
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr08JI.M073.20100325.JIP:bd03/25/2010:svnSAMSUNGELECTRONICSCO.,LTD.:pnN150/N210/N220:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnN150/N210/N220:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: N150/N210/N220
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

sorry i used the samsung-tools kernel. its a patched kernel. using the default kernel the problem persists. shall i do another apport?

Mystic-Mirage (mystic-mirage) wrote :

Same problem with my Samsung N148 Plus.

Mystic-Mirage (mystic-mirage) wrote :

I've tested suspend to ram in Lucid. Works fine.

Philip Muškovac (yofel) wrote :

ig-88, Alexander: can you please file your own bugs about this issue? This is Alexanders bug report and he's the one that has to submit his information.

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mm 1533 F.... pulseaudio
CRDA: Error: [Errno 2] Нет такого файла или каталога
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0400000 irq 47'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,144dc072,00100004'
   Controls : 11
   Simple ctrls : 7
DistroRelease: Ubuntu 10.10
HibernationDevice: RESUME=UUID=d48e6900-4905-4b83-a647-d3fe64bce63f
InstallationMedia: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release Candidate i386 (20100928.2)
MachineType: SAMSUNG ELECTRONICS CO., LTD. N148P/N208P/N218P/NB28P
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=2637efc1-4986-4ace-9641-2fdb51e6b87f ro quiet splash
ProcEnviron:
 LANG=ru_UA.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.34~ppa1~loms~maverick-generic 2.6.35.4
Regression: Yes
RelatedPackageVersions: linux-firmware 1.38
Reproducible: Yes
Tags: maverick ubuntu-une kernel-power suspend resume regression-potential needs-upstream-testing
Uname: Linux 2.6.35-22-generic i686
UserGroups: adm admin audio cdrom dialout dip disk fax fuse lpadmin netdev nopasswdlogin plugdev sambashare tape video
dmi.bios.date: 05/03/2010
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 00MG.M009.20100503.RHU
dmi.board.asset.tag: SAMSUNG
dmi.board.name: N148P/N208P/N218P/NB28P
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr00MG.M009.20100503.RHU:bd05/03/2010:svnSAMSUNGELECTRONICSCO.,LTD.:pnN148P/N208P/N218P/NB28P:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnN148P/N208P/N218P/NB28P:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: N148P/N208P/N218P/NB28P
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Benjamin Nave (bnave) on 2010-10-11
description: updated
Philip Muškovac (yofel) on 2010-10-11
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Confirmed
Philip Muškovac (yofel) on 2010-11-07
tags: added: regression-release resume suspend
description: updated
Brad Figg (brad-figg) on 2010-12-04
tags: added: acpi-namespace-lookup
tags: added: acpi-parse-exec-fail
96 comments hidden view all 176 comments
turbolad (turbolad995) wrote :

Neither intel_idle.max_cstate=0 or nolapic_timer offer permanent fixes. Having tried both workarounds, sometimes the Samsung NB30 resumes from power saving, but other times it will not resume. Then the networking gets disabled and requires manual fixing:
http://www.ubuntugeek.com/how-to-fix-network-manager-disabled-problem-in-ubuntu-10-04-lucid.html

Will someone PLEASE fix this power saving bug and offer the fix to every Ubuntu user via the Update Manager! There's now over 136 comments regarding this bug and there's no fix yet.

Download full text (4.5 KiB)

Daniel,

Thanks very much for the step-by-step guide. I haven't tried the
nolapic_timer method yet but the intel_idle.max_cstate=0 certainly
fixed the issue on my Samsung N220 Plus.

Thanks again!

On 5 January 2011 20:40, turbolad <email address hidden> wrote:
> Neither intel_idle.max_cstate=0 or nolapic_timer offer permanent fixes.  Having tried both workarounds, sometimes the Samsung NB30 resumes from power saving, but other times it will not resume.  Then the networking gets disabled and requires manual fixing:
> http://www.ubuntugeek.com/how-to-fix-network-manager-disabled-problem-in-ubuntu-10-04-lucid.html
>
> Will someone PLEASE fix this power saving bug and offer the fix to every
> Ubuntu user via the Update Manager!  There's now over 136 comments
> regarding this bug and there's no fix yet.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/640100
>
> Title:
>  Maverick fails to wake up on Samsung N150
>
> Status in “linux” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Recently upgraded from 10.04LTS to 10.10 Beta on a Samsung N150 NetBook.  Since update, my netbook does not resume from suspend state after lid is opened.  Power, disk, and wireless activity lights turn on, but screen does not wake up.  I cannot ssh into the netbook from a remote host so I do not think that the network is resuming even though the wireless light indicates that the card is on.  I have to power off/on the netbook once it is hung in this state.
>
> I've examined /var/log/messages after power cycling but I don't see any relevant errors.  I would be happy to submit applicable logs or provide more information if someone could point me in the right direction.
>
> Thanks!
>
> == Regression details ==
> Last known good version: mainline 2.6.34.7-maverick
> Confirmed broken since: 2.6.35-22.34
>
> ---
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> AplayDevices:
>  **** List of PLAYBACK Hardware Devices ****
>  card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
>    Subdevices: 1/1
>    Subdevice #0: subdevice #0
> Architecture: i386
> ArecordDevices:
>  **** List of CAPTURE Hardware Devices ****
>  card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
>    Subdevices: 1/1
>    Subdevice #0: subdevice #0
> AudioDevicesInUse:
>  Cannot stat file /proc/13903/fd/11: Stale NFS file handle
>                       USER        PID ACCESS COMMAND
>  /dev/snd/controlC0:  ubuntu     3659 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'Intel'/'HDA Intel at 0xf0400000 irq 47'
>    Mixer name   : 'Realtek ALC269'
>    Components   : 'HDA:10ec0269,144dc072,00100004'
>    Controls      : 11
>    Simple ctrls  : 7DistroRelease: Ubuntu 10.10LiveMediaBuild: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
> MachineType: SAMSUNG ELECTRONICS CO., LTD. N150/N210/N220
> Package: linux (not installed)
> ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz noprompt cdrom-detect/try-usb=true persistent file=/cdrom/preseed/hostname-netbook.seed boot=casper initrd=/casper/initrd.lz qu...

Read more...

montini (montini) wrote :

After applying the workaround "intel_idle.max_cstate=0" I have come into some issue when after resuming from suspend (that part seems to be working fine now) the backlighting of my n220 is jumping up and down for some time (with the respective indicator applet visualizations, and no chance to stop it by using keyboard Fn-Up/Fn-Down). This occurs kind of randomly, and goes away after some time - sometimes it can be solved by closing the lid and opening again - i.e. by additional suspend/resume cycle. Is anyone else having this also?

TenaciousC (chris-kool4katz) wrote :

With the the 2.6.35-24 kernel I could not control backlight brightness using the samsung tools (Fn-Up/Fn-Down) at all. I had to add a further kernel parameter : acpi_backlight=vendor . With that the control works again, but when the backlight level is changed by the system (for power saving) the brightness indicator applet goes into a loop until interrupted by clicking an item on the main menu bar (Applications for example).

However I removed intel_idle.max_cstate=0 from the kernel boot parameters and the problem stills occurs, so I'm not sure the brightness phenomenon is related to these parameters.

C

montini (montini) wrote :
Download full text (4.5 KiB)

In my case I am using samsung tools

On Thu, Jan 6, 2011 at 9:40 AM, TenaciousC <email address hidden> wrote:

> With the the 2.6.35-24 kernel I could not control backlight brightness
> using the samsung tools (Fn-Up/Fn-Down) at all. I had to add a further
> kernel parameter : acpi_backlight=vendor . With that the control works
> again, but when the backlight level is changed by the system (for power
> saving) the brightness indicator applet goes into a loop until
> interrupted by clicking an item on the main menu bar (Applications for
> example).
>
> However I removed intel_idle.max_cstate=0 from the kernel boot
> parameters and the problem stills occurs, so I'm not sure the
> brightness phenomenon is related to these parameters.
>
> C
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/640100
>
> Title:
> Maverick fails to wake up on Samsung N150
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> Recently upgraded from 10.04LTS to 10.10 Beta on a Samsung N150 NetBook.
> Since update, my netbook does not resume from suspend state after lid is
> opened. Power, disk, and wireless activity lights turn on, but screen does
> not wake up. I cannot ssh into the netbook from a remote host so I do not
> think that the network is resuming even though the wireless light indicates
> that the card is on. I have to power off/on the netbook once it is hung in
> this state.
>
> I've examined /var/log/messages after power cycling but I don't see any
> relevant errors. I would be happy to submit applicable logs or provide more
> information if someone could point me in the right direction.
>
> Thanks!
>
> == Regression details ==
> Last known good version: mainline 2.6.34.7-maverick
> Confirmed broken since: 2.6.35-22.34
>
> ---
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> Cannot stat file /proc/13903/fd/11: Stale NFS file handle
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ubuntu 3659 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf0400000 irq 47'
> Mixer name : 'Realtek ALC269'
> Components : 'HDA:10ec0269,144dc072,00100004'
> Controls : 11
> Simple ctrls : 7DistroRelease: Ubuntu 10.10LiveMediaBuild:
> Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
> MachineType: SAMSUNG ELECTRONICS CO., LTD. N150/N210/N220
> Package: linux (not installed)
> ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz noprompt cdrom-detect/try-usb=true
> persistent file=/cdrom/preseed/hostname-netbook.seed boot=casper
> initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
> ProcEnviron:
> ...

Read more...

Confirm "acpi_backlight=vendor" lead backlight go crazy. Simplest way to stop flicking is to switch on virtual console (for example Ctrl+Alt+F1) and back.

David D (noiseball) wrote :

Both of Daniel's solutions (#115 and #136) solve the suspend issues on my N150Plus, but caused me to lose the ability to control the screen brightness. (well, #115 seemed to cause it, #136 certainly didn't bring it back)

I've filed a bug for Natty, where my N150 suffers from the same symptoms. You can find it here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/705044
Please subscribe and add a "me too". Thanks!

Philip Muškovac (yofel) wrote :

Please DON'T add a "me too" - for kernel bugs everyone should have his/her own bug unless you're using the exact same hardware, kernel, firmware version, etc... So please file seperate bugs instead of adding metoos!
(Also: we have the "affects me" link at the top of the page for actually counted me-toos)

Uh, I meant that everybody affected should add him- or herself as "affects me". Sorry!

dks (mydks) wrote :

#134 works on my n148 netbook. Thx.

Seth Forshee (sforshee) on 2011-02-16
Changed in linux (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
status: Confirmed → In Progress
Anton (anton-bugs) wrote :

this is might be the upstream bug:
https://bugzilla.kernel.org/show_bug.cgi?id=20172

Seth Forshee (sforshee) wrote :

@Anton:

Thanks for the pointer, but that looks like a different bug. I've linked up this issue with the appropriate issue in the kernel bugzilla.

Changed in linux:
importance: Unknown → Medium
status: Unknown → Incomplete
turbolad (turbolad995) wrote :

I installed Lubuntu (yes Lubuntu) on my Samsung NB30 - the latest alpha version with kernel 2.6.38-4-generic SMP. Waking up from standby now works when I open the lid. Wireless now works, but when I open the lid to resume from standby, the wireless stops working.

Seth Forshee (sforshee) wrote :

@turbolad:

How many times have you tried it? For me on an N150 it's inconsistent -- sometimes it resumes, sometimes it doesn't. So much so that I'm using a script to do repeated suspend/resume cycles until it hangs. It frequently takes 20+ cycles, and I've even seen 100+ cycles before it finally hung on a couple of occasions.

turbolad (turbolad995) wrote :

If it fails to resume from standby, I'll post again.

The only problem I'm now having is the wireless stops working after power saving.

Tom Rowland (b-rizlaz) wrote :

The "intel_idle.max_cstate=0" appears to work on my N145 with 2.6.35-25 and, except for using lucid 2.6.32-22 kernel, the steps collated by Adam Griffiths (see #110).
I have only tested it two or three times though (keys, lid, lid).
Also note the backlight issue, but have seen this happen without sleep/resume, so agree with others on that being a 'something else'.

turbolad (turbolad995) wrote :

Using Lubuntu with kernel 2.6.38-7-generic on my Samsung NB30 netbook and the power management still works EXCEPT for the wireless not working after coming out of standby - it says "device not ready".

Seth Forshee (sforshee) wrote :

Adding a release notes task since it doesn't look likely there will be a fix for this in time for Natty. Proposed text:

Samsung N150 hangs indefinitely after suspend. Workaround: specify "intel_idle.max_cstate=3" as kernel parameter at boot.

waffelball (johannes-temme) wrote :

I have a Samsung N220 Plus netbook and encountered the following: After a clean new install of Natty (Beta 1) suspend to ram works out of the box but unfortunately adapting backlight did not work.
Hence I installed the package samsung-backlight from the ppa of voria (for maverick, since natty packages are not yet available) which resolved this problem. As a matter of fact from there on suspend to ram did not work for me anymore and i encountered the same problems as described in this bug report.
Unloading the samsung-backlight module before suspend made suspend to ram working again. More explicitly I followed the steps proposed here http://www.voria.org/forum/viewtopic.php?f=3&t=625&hilit=N220&start=60

0) install samsung-backlight from the ppa of voria
1) modifiy in /etc/default/grub following line from
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash'
to
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_backlight=vendor"
2) sudo update-grub; sudo update-initramfs -u
3) add the following text to the end of /etc/modprobe.d/blacklist.conf: blacklist samsung-backlight
4) edit /etc/rc.local and paste before the "exit 0" statement: modprobe samsung-backlight
5) create a file called /etc/pm/config.d/unload_modules containing: SUSPEND_MODULES="samsung-backlight"

I emphasize I did not have to append "intel_idle.max_cstate=0 " to grub to make suspend to ram working!
So everyone encountering the problems described in this bug report should check whether samsung-backlight is installed and whether unloading its module before suspend resolves the problem!

Seth Forshee (sforshee) wrote :

@waffelball: Thanks for the suggestion, but I don't have samsung-backlight installed on the N150 and it still hangs coming out of resume.

Tom Rowland (b-rizlaz) wrote :

@waffelball: I do have samsung-backlight installed on my N145+ with Maverick and kernel 2.6.35-27, and tried your suggestion.
I'm pretty sure I followed the steps correctly, but it did not work.

Changed in linux (Ubuntu Natty):
importance: Undecided → Medium
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux (Ubuntu Maverick):
importance: Undecided → Medium

I've getting hangups every day or two and can't figure out a reason. It can be the same bug. Today I get hanged one CPU core and sustem was able to log down incident.
It begins by "BUG: unable to handle kernel NULL pointer dereference at (null)" and continued by spam of "BUG: soft lockup - CPU#1 stuck for 61s!" messages. Bakause of relatively big log volume piece, I'm pasted it to http://pastebin.com/cCqjw0vy

Seth Forshee (sforshee) wrote :

@Юрий Чудновский:

That looks like something different. Please open a new bug report for your issue.

Jeremy Foshee (jeremyfoshee) wrote :

Set Natty task Won't Fix. We will review potential fixes and SRU where applicable.

Thanks!

~JFo

Changed in linux (Ubuntu Natty):
status: In Progress → Won't Fix
description: updated
Seth Forshee (sforshee) on 2011-04-25
Changed in ubuntu-release-notes:
status: New → Fix Released
Seth Forshee (sforshee) wrote :

Marking kernel tasks as Won't Fix since a good workaround exists.

Changed in linux (Ubuntu):
status: In Progress → Won't Fix
Changed in linux (Ubuntu Maverick):
status: New → Won't Fix
Changed in linux (Ubuntu Oneiric):
status: New → Won't Fix

I have this issue on my N210 on Maverick (2.6.35). Screen stays black after resume. I've installed a Lucid kernel (2.6.32). This kernel does resume from suspend properly and seems to work ok with Maverick otherwise too.

Tom Rowland (b-rizlaz) wrote :

Confirm instructions by @waffelball in post #156 work with clean install of Natty (11.04) on N145Plus with samsung-tools + samsung-backlight. Did not try suspend when out-of-box.

Instructions on #156 do NOT work with an up-to-date Natty install on a Samsung N150 with samsung-tools and samsung-backlight. Performing the steps in #156 leads to a non-adjustable backlight - else suspend isn't working, neither with instructions or without. I can say, it was partly working before the release of Natty.

turbolad (turbolad995) wrote :

This bug affects a lot of people, including me, when I use my Samsung netbook - which is an NB30 and not the N150.

If it comes out of power saving mode when I open the lid, the wireless stops working.

I configured gnome-power-manager to go into suspend after 30 minutes of idle state. Most of the time, it doesn't work at all and the N150 runs until the battery is drained. The other times, it goes into suspend but fails to wake up again. I don't know how many times I had to hard reset. This is very bad!

Seth Forshee (sforshee) wrote :

Backlight issues really aren't relevant to this bug. If no bug exists for this issue please create a new one.

@turbolad, from looking back over you comments I think there's a good chance that the problem with your machine is different from the one affecting the N150. It would probably make sense to reopen your original bug report, and to open a new one for the wireless failing after resume if no other bug matches your symptoms.

@Susanne, the failure to suspend after 30 minutes are separate issues from this one, and you should file a new bug if no existing bug matches your symptoms. There is not a fix available for the failure to resume from suspend, but you can perform the following steps to work around the problem:

1. Open /etc/default/grub as root and modify the line beginning with GRUB_CMDLINE_LINUX to read:

  GRUB_CMDLINE_LINUX="intel_idle.max_cstate=3"

2. In a terminal, run "sudo update-grub2"

3. Reboot

After this resuming from suspend should function correctly.

Arnon Klein (arnon-klein) wrote :

It looks like it is a wireless device module issue. I'm using 11.04 with out-of-the-box kernel 2.6.38-8-generic .

Patching up /usr/lib/pm-utils/sleep.d/55NetworkManager
with :

case "$1" in
 hibernate|suspend)
  suspend_nm
                modprobe -r ath9k
  ;;
 thaw|resume)
  modprobe ath9k
  resume_nm
  ;;
 *) exit $NA
  ;;
esac

solved this, and my N150 is now returning from suspend.

Tom Rowland (b-rizlaz) wrote :

Can confirm that Arnon's patch works on my N145P (also using 2.6.38-8 generic).
Some update broke Waffelball's #156 suggestion, which had previously worked.

Seth Forshee (sforshee) wrote :

On Fri, Jul 08, 2011 at 03:16:20PM -0000, Arnon Klein wrote:
> It looks like it is a wireless device module issue. I'm using 11.04 with
> out-of-the-box kernel 2.6.38-8-generic .
>
> Patching up /usr/lib/pm-utils/sleep.d/55NetworkManager
> with :
>
> case "$1" in
> hibernate|suspend)
> suspend_nm
> modprobe -r ath9k
> ;;
> thaw|resume)
> modprobe ath9k
> resume_nm
> ;;
> *) exit $NA
> ;;
> esac
>
> solved this, and my N150 is now returning from suspend.

That's interesting. When I investigated I saw that the hang was most
definitely happening prior to resuming devices, so I'm not sure what the
relationship is. A lot of things seemed to make the problem harder to
trigger without completely eliminating it though; the hang appears to be
very timing sensitive. If you're interested you could try running an
automated S3 test to see whether you can trigger a hang. The following
would do 100 S3 iterations (you'll probably need to run 'sudo apt-get
install fwts' first):

  fwts s3 --s3-multiple=100

I'm no longer in posession of one of these machines to try it myself.

dan (mybodya) wrote :

Hey guys, it's ridiculous that this bug is not planned to be fixed neither in this version of Ubuntu nor in the next. There are 300 000 Lenovo s10-3 and Samsung N230 netbooks manufactured each year and if their users install Ubuntu, they have to loose their data if the netbook suspends. I can be a tester for this project, please send me instructions whatto do but please do not freeze work on this bug

The solutions posted here didn't work for me

I've found some spacial solution described here
http://ubuntuforums.org/showthread.php?t=1799930&highlight=lenovo

Seth Forshee (sforshee) wrote :

On Fri, Jul 08, 2011 at 09:31:42PM -0000, dan wrote:
> Hey guys, it's ridiculous that this bug is not planned to be fixed
> neither in this version of Ubuntu nor in the next. There are 300 000
> Lenovo s10-3 and Samsung N230 netbooks manufactured each year and if

What reason do you have to believe that the issue with the Lenovo is the
same as the issue with the Samsung netbooks?

Failure to resume tends to be very hardware-specific, particular to a
particular piece of hardware or model of computer. If you have a Lenovo
s10-3 or Samsung N230 that fails to resume and can't find any bugs
addressing your model specifically, I suggest that you open a new bug.
We are keen to fix as many of these problems as possible.

Gergan Penkov (gergan) wrote :

I haven't commented till now, but I must say that this bug shows for me the trends in Ubuntu. In the past three years I have installed 3 Computers with Ubuntu (mostly friends with old laptops, who had problems to keep on with windows and the viruses :) ) and won some users for ubuntu and linux.
Now not to sound as a jerk I am thankful for what canonical and Ubuntu have done for Linux, but from 10.10 on this is one unusable Distro. Now all these laptops are Arch.
My own nettop is Samsung N220 and had this same problem after the 10.10 update. Now strangely enough with Arch the problem does not occur.
What I want to say is that I am a long time gentoo user and my work and home desktops are running gentoo and although there is a misconception that gentoo developers are harsh and unhelpful, I have never seen such unprofessional bug treatment in gentoo-bugzilla as the one here, with such comments and with resolutions won't fix.
The second bug I followed was about the extremely slow unity. This specific nettop was also unusable with unity. This second bug is still open and here to be found https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/657976
Now if for three releases two extremely big problems in totally open sourced hardware could not be fixed, i am not sure if it is worth it to try and install ubuntu again.

PS: Gnome 3 on Arch on this very laptop is extremely fluid - so this is a distro regression.

Changed in linux:
status: Incomplete → Fix Released
Changed in linux:
status: Fix Released → Confirmed
Laurent Genoud (lg-u) wrote :

For the Samsung N150 running Ubuntu 11.10

I can confirm the only solution worked for me is the post 156 (Thanks to Waffelball)

All other proposed solutions leads to suspend and backlight not working together.
(tried solutions of almost all posts except 169)

Thanks to Ubuntu and folks here, don't need to buy a new laptop for my girlfriend ;-)

Changed in linux:
status: Confirmed → In Progress

After upgrading my Samsung N150 to Raring (amd64), suspend/resume now works out of the box. Previously, with Quantal, it needed the intel_idle.max_cstate=3 kernel parameter. Looks like this bug has been fixed, intentionally or not.

Changed in linux:
status: In Progress → Expired
Displaying first 40 and last 40 comments. View all 176 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.